/**
 * @class kAngle
 * @brief Angle functions
 */

class kAngle
{
public:

	kAngle(float angleRads);
	kAngle(const kAngle &in other);
	kQuat ToQuat();
	float Interpolate(const float a, const float b);
	float Diff(const kAngle &in other);
	float Diff(const float angleRads);
	kAngle &opSubAssign(const float angleRads);
	kAngle opSub(const float angleRads);
	const kAngle &opAddAssign(const float angleRads);
	kAngle opAdd(const float angleRads);
	const kAngle &opSubAssign(kAngle &in other);
	kAngle opSub(const kAngle &in other);
	kAngle &opAddAssign(const kAngle &in other);
	kAngle opAdd(const kAngle &in other);
	float opImplConv();
	kAngle opNeg();
	kAngle &opAssign(const kAngle &in);
	kAngle &opAssign(const float angleRads);
};
